• Did you order new AirTags? We've opened a dedicated AirTags forum.

corder

macrumors newbie
Original poster
Apr 10, 2015
9
0
hey Guys!

Any idea how to downgrade iOS 9 to iOS 8.1.3 from Yosemite? iTunes keeps giving me a "This device isn't eligible for this firmware" error when I try to downgrade... any ideas?! Tried for an hour now and no avail.

thx!
 

chrfr

macrumors G4
Jul 11, 2009
11,038
4,603
hey Guys!

Any idea how to downgrade iOS 9 to iOS 8.1.3 from Yosemite? iTunes keeps giving me a "This device isn't eligible for this firmware" error when I try to downgrade... any ideas?! Tried for an hour now and no avail.

thx!
You can downgrade to 8.3. Nothing else is an option.
 
Comment

Gav2k

macrumors G3
Jul 24, 2009
9,216
1,607
You have to do a dfu restore! (Google it)

Ps better hope an iCloud backup didn't take place whilst you were on iOS 9 too!
 
Comment

jww062

macrumors member
Dec 1, 2012
75
7
You have to do a dfu restore! (Google it)

Ps better hope an iCloud backup didn't take place whilst you were on iOS 9 too!

A DFU restore isn't going to get them back to 8.1.x. Only the latest for that device, which would have to be 8.3 if it's a device eligible for 9.
 
Comment

Yun0

macrumors 68000
Jun 12, 2013
1,539
818
Winnipeg, Canada
**happily using ios 9 beta 1 on his 1 & only iphone & feels more like a beta 3 than a beta 1 (plus knows how to restore if need be)**
 
Comment

Nermal

Moderator
Staff member
Dec 7, 2002
19,086
1,557
New Zealand
Fortunately I've only found a couple of bugs so far (including one that forces you to hard-reboot the phone) but I agree; don't install betas if you need a problem-free device.
 
Comment

Gav2k

macrumors G3
Jul 24, 2009
9,216
1,607
A DFU restore isn't going to get them back to 8.1.x. Only the latest for that device, which would have to be 8.3 if it's a device eligible for 9.
Op had already had this explained
 
Comment

The Doctor11

macrumors 603
Dec 15, 2013
5,931
1,339
New York
hey Guys!

Any idea how to downgrade iOS 9 to iOS 8.1.3 from Yosemite? iTunes keeps giving me a "This device isn't eligible for this firmware" error when I try to downgrade... any ideas?! Tried for an hour now and no avail.

thx!
Yeah you won't be going back to 8.1.3. If you would like to downgrade you'll have to go to 8.3 or 8.4 beta. I'd recommend the 8.3. Are you a registered dev? If so you can just download the IPSW and install it.
 
Comment
Register on MacRumors! This sidebar will go away, and you'll see fewer ads.